---
title: SVGGeometryElement.getPointAtLength()
slug: Web/API/SVGGeometryElement/getPointAtLength
tags:
  - API
  - DOM
  - Method
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p><span class="seoSummary">The <code><strong>SVGGeometryElement.getPointAtLength()</strong></code> method returns the point at a given distance along the path.</span></p>

<div class="note">
<p><strong>Note:</strong> This method was originally part of the {{domxref("SVGPathElement")}} interface. SVG 2 introduced the {{domxref("SVGGeometryElement")}} interface and moved the property to it.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">DOMPoint <var>someElement</var>.<strong>getPointAtLength(</strong>float <var>distance</var><strong>)</strong>;
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>distance</var></code></dt>
 <dd>A float referring to the distance along the path.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("DOMPoint")}} indicating the point at a given distance along the path.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "types.html#__svg__SVGGeometryElement__getPointAtLength", "SVGGeometryElement.getTotalLength()")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGGeometryElement.getPointAtLength")}}</p>
